---
title: Create a Story Schedule
description: This endpoint allows you to create a new story schedule.
url: https://storyblok.com/docs/api/management/scheduling-stories/create-a-story-schedule
---

# Create a Story Schedule

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/story_schedulings
```

This endpoint allows you to create a new story schedule.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Request body properties

-   `story_scheduling` (The Story Scheduling Object)
    
    A single [story scheduling](/docs/api/management/scheduling-stories/retrieve-one-story-schedule) object.
    

## Response properties

-   `story_scheduling` (The Story Scheduling Object)
    
    A single [story scheduling](/docs/api/management/scheduling-stories/retrieve-one-story-schedule) object.
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"story_scheduling\":{\"language\":\"pt-br\",\"publish_at\":\"2024-07-26T06:56:00.000Z\",\"story_id\":362419485}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/story_schedulings', {
        "story_scheduling": {
          "language": "pt-br",
          "publish_at": "2024-07-26T06:56:00.000Z",
          "story_id": 362419485
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["story_scheduling" => ["language" => "pt-br","publish_at" => "2024-07-26T06 => 56 => 00.000Z","story_id" => 362419485]];
    
    $client->post('spaces/288868932106293/story_schedulings', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"story_scheduling":{"language":"pt-br","publish_at":"2024-07-26T06:56:00.000Z","story_id":362419485}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"story_scheduling\":{\"language\":\"pt-br\",\"publish_at\":\"2024-07-26T06:56:00.000Z\",\"story_id\":362419485}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/story_schedulings"
    
    querystring = {}
    
    payload = {"story_scheduling":{"language":"pt-br","publish_at":"2024-07-26T06:56:00.000Z","story_id":362419485}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"story_scheduling" => {"language" => "pt-br","publish_at" => "2024-07-26T06 => 56 => 00.000Z","story_id" => 362419485}}
    
    client.post('spaces/288868932106293/story_schedulings', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/story_schedulings")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "story_scheduling": [
            "language": "pt-br",
            "publish_at": "2024-07-26T06:56:00.000Z",
            "story_id": 362419485,
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/story_schedulings") {
        setBody(buildJsonObject {
            putJsonObject("story_scheduling") {
                put("language", "pt-br")
                put("publish_at", "2024-07-26T06:56:00.000Z")
                put("story_id", 362419485)
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Story Schedulings](/docs/api/management/scheduling-stories)
-   [Next: Delete a Story Schedule](/docs/api/management/scheduling-stories/delete-a-story-schedule)
